/**  版本信息模板在安装目录下，可自行修改。
* T_TypeResult.cs
*
* 功 能： N/A
* 类 名： T_TypeResult
*
* Ver    变更日期             负责人  变更内容
* ───────────────────────────────────
* V0.01  2022/3/7 11:55:15   N/A    初版
*
* Copyright (c) 2012 Maticsoft Corporation. All rights reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　版权所有：动软卓越（北京）科技有限公司　　　　　　　　　　　　　　│
*└──────────────────────────────────┘
*/
using System;
using System.Data;
using System.Text;
using System.Data.SqlClient;
using CallCenterApi.DB;

namespace CallCenterApi.DAL
{
	/// <summary>
	/// 数据访问类:T_TypeResult
	/// </summary>
	public partial class T_TypeResult
	{
		public T_TypeResult()
		{}
		#region  BasicMethod

		/// <summary>
		/// 得到最大ID
		/// </summary>
		public int GetMaxId()
		{
		return DbHelperSQL.GetMaxID("F_ID", "T_TypeResult"); 
		}

		/// <summary>
		/// 是否存在该记录
		/// </summary>
		public bool Exists(int F_ID)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select count(1) from T_TypeResult");
			strSql.Append(" where F_ID=@F_ID");
			SqlParameter[] parameters = {
					new SqlParameter("@F_ID", SqlDbType.Int,4)
			};
			parameters[0].Value = F_ID;

			return DbHelperSQL.Exists(strSql.ToString(),parameters);
		}


		/// <summary>
		/// 增加一条数据
		/// </summary>
		public int Add(CallCenterApi.Model.T_TypeResult model)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("insert into T_TypeResult(");
			strSql.Append("F_PhoneID,F_typeName1,F_typeValue1,F_typeName2,F_typeValue2,F_typeName3,F_typeValue3,F_typeName4,F_typeValue4,F_typeName5,F_typeValue5,F_typeName6,F_typeValue6,F_typeName7,F_typeValue7,F_typeValue12 ,F_typeValue22      ,F_typeValue32      ,F_typeValue42      ,F_typeValue52      ,F_typeValue62,F_CreateOn,F_userId)");
			strSql.Append(" values (");
			strSql.Append("@F_PhoneID,@F_typeName1,@F_typeValue1,@F_typeName2,@F_typeValue2,@F_typeName3,@F_typeValue3,@F_typeName4,@F_typeValue4,@F_typeName5,@F_typeValue5,@F_typeName6,@F_typeValue6,@F_typeName7,@F_typeValue7,@F_typeValue12 ,@F_typeValue22 ,@F_typeValue32 ,@F_typeValue42, @F_typeValue52 , @F_typeValue62, @F_CreateOn,@F_userId)");
			strSql.Append(";select @@IDENTITY");
			SqlParameter[] parameters = {
					new SqlParameter("@F_PhoneID", SqlDbType.Int,4),
					new SqlParameter("@F_typeName1", SqlDbType.NVarChar,50),
					new SqlParameter("@F_typeValue1", SqlDbType.NVarChar,50),
					new SqlParameter("@F_typeName2", SqlDbType.NVarChar,50),
					new SqlParameter("@F_typeValue2", SqlDbType.NVarChar,50),
					new SqlParameter("@F_typeName3", SqlDbType.NVarChar,50),
					new SqlParameter("@F_typeValue3", SqlDbType.NVarChar,50),
					new SqlParameter("@F_typeName4", SqlDbType.NVarChar,50),
					new SqlParameter("@F_typeValue4", SqlDbType.NVarChar,50),
					new SqlParameter("@F_typeName5", SqlDbType.NVarChar,50),
					new SqlParameter("@F_typeValue5", SqlDbType.NVarChar,50),
					new SqlParameter("@F_typeName6", SqlDbType.NVarChar,50),
					new SqlParameter("@F_typeValue6", SqlDbType.NVarChar,50),

                        new SqlParameter("@F_typeName7", SqlDbType.NVarChar,200),
                    new SqlParameter("@F_typeValue7", SqlDbType.NVarChar,1000),

                     new SqlParameter("@F_typeValue12", SqlDbType.NVarChar,100),
                        new SqlParameter("@F_typeValue22", SqlDbType.NVarChar,100),

                                  new SqlParameter("@F_typeValue32", SqlDbType.NVarChar,100),

                                               new SqlParameter("@F_typeValue42", SqlDbType.NVarChar,100),
                        new SqlParameter("@F_typeValue52", SqlDbType.NVarChar,100),

                                  new SqlParameter("@F_typeValue62", SqlDbType.NVarChar,100),



                    new SqlParameter("@F_CreateOn", SqlDbType.DateTime),
                new SqlParameter("@F_userId", SqlDbType.NVarChar,50)};
			parameters[0].Value = model.F_PhoneID;
			parameters[1].Value = model.F_typeName1;
			parameters[2].Value = model.F_typeValue1;
			parameters[3].Value = model.F_typeName2;
			parameters[4].Value = model.F_typeValue2;
			parameters[5].Value = model.F_typeName3;
			parameters[6].Value = model.F_typeValue3;
			parameters[7].Value = model.F_typeName4;
			parameters[8].Value = model.F_typeValue4;
			parameters[9].Value = model.F_typeName5;
			parameters[10].Value = model.F_typeValue5;
			parameters[11].Value = model.F_typeName6;
			parameters[12].Value = model.F_typeValue6;

            parameters[13].Value = model.F_typeName7;
            parameters[14].Value = model.F_typeValue7;


            parameters[15].Value = model.F_typeValue12;
            parameters[16].Value = model.F_typeValue22;
            parameters[17].Value = model.F_typeValue32;
            parameters[18].Value = model.F_typeValue42;
            parameters[19].Value = model.F_typeValue52;
            parameters[20].Value = model.F_typeValue62;


            parameters[21].Value = model.F_CreateOn;
            parameters[22].Value = model.F_userId;

            object obj = DbHelperSQL.GetSingle(strSql.ToString(),parameters);
			if (obj == null)
			{
				return 0;
			}
			else
			{
				return Convert.ToInt32(obj);
			}
		}
		/// <summary>
		/// 更新一条数据
		/// </summary>
		public bool Update(CallCenterApi.Model.T_TypeResult model)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("update T_TypeResult set ");
			strSql.Append("F_PhoneID=@F_PhoneID,");
			strSql.Append("F_typeName1=@F_typeName1,");
			strSql.Append("F_typeValue1=@F_typeValue1,");
			strSql.Append("F_typeName2=@F_typeName2,");
			strSql.Append("F_typeValue2=@F_typeValue2,");
			strSql.Append("F_typeName3=@F_typeName3,");
			strSql.Append("F_typeValue3=@F_typeValue3,");
			strSql.Append("F_typeName4=@F_typeName4,");
			strSql.Append("F_typeValue4=@F_typeValue4,");
			strSql.Append("F_typeName5=@F_typeName5,");
			strSql.Append("F_typeValue5=@F_typeValue5,");
			strSql.Append("F_typeName6=@F_typeName6,");
			strSql.Append("F_typeValue6=@F_typeValue6,");
			strSql.Append("F_CreateOn=@F_CreateOn");
			strSql.Append(" where F_ID=@F_ID");
			SqlParameter[] parameters = {
					new SqlParameter("@F_PhoneID", SqlDbType.Int,4),
					new SqlParameter("@F_typeName1", SqlDbType.NVarChar,50),
					new SqlParameter("@F_typeValue1", SqlDbType.NVarChar,50),
					new SqlParameter("@F_typeName2", SqlDbType.NVarChar,50),
					new SqlParameter("@F_typeValue2", SqlDbType.NVarChar,50),
					new SqlParameter("@F_typeName3", SqlDbType.NVarChar,50),
					new SqlParameter("@F_typeValue3", SqlDbType.NVarChar,50),
					new SqlParameter("@F_typeName4", SqlDbType.NVarChar,50),
					new SqlParameter("@F_typeValue4", SqlDbType.NVarChar,50),
					new SqlParameter("@F_typeName5", SqlDbType.NVarChar,50),
					new SqlParameter("@F_typeValue5", SqlDbType.NVarChar,50),
					new SqlParameter("@F_typeName6", SqlDbType.NVarChar,50),
					new SqlParameter("@F_typeValue6", SqlDbType.NVarChar,50),
					new SqlParameter("@F_CreateOn", SqlDbType.DateTime),
					new SqlParameter("@F_ID", SqlDbType.Int,4)};
			parameters[0].Value = model.F_PhoneID;
			parameters[1].Value = model.F_typeName1;
			parameters[2].Value = model.F_typeValue1;
			parameters[3].Value = model.F_typeName2;
			parameters[4].Value = model.F_typeValue2;
			parameters[5].Value = model.F_typeName3;
			parameters[6].Value = model.F_typeValue3;
			parameters[7].Value = model.F_typeName4;
			parameters[8].Value = model.F_typeValue4;
			parameters[9].Value = model.F_typeName5;
			parameters[10].Value = model.F_typeValue5;
			parameters[11].Value = model.F_typeName6;
			parameters[12].Value = model.F_typeValue6;
			parameters[13].Value = model.F_CreateOn;
			parameters[14].Value = model.F_ID;

			int rows=DbHelperSQL.ExecuteSql(strSql.ToString(),parameters);
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}

		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool Delete(int F_ID)
		{
			
			StringBuilder strSql=new StringBuilder();
			strSql.Append("delete from T_TypeResult ");
			strSql.Append(" where F_ID=@F_ID");
			SqlParameter[] parameters = {
					new SqlParameter("@F_ID", SqlDbType.Int,4)
			};
			parameters[0].Value = F_ID;

			int rows=DbHelperSQL.ExecuteSql(strSql.ToString(),parameters);
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}
		/// <summary>
		/// 批量删除数据
		/// </summary>
		public bool DeleteList(string F_IDlist )
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("delete from T_TypeResult ");
			strSql.Append(" where F_ID in ("+F_IDlist + ")  ");
			int rows=DbHelperSQL.ExecuteSql(strSql.ToString());
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}


		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public CallCenterApi.Model.T_TypeResult GetModel(int F_ID)
		{
			
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select  top 1 F_ID,F_PhoneID,F_typeName1,F_typeValue1,F_typeName2,F_typeValue2,F_typeName3,F_typeValue3,F_typeName4,F_typeValue4,F_typeName5,F_typeValue5,F_typeName6,F_typeValue6,F_CreateOn from T_TypeResult ");
			strSql.Append(" where F_ID=@F_ID");
			SqlParameter[] parameters = {
					new SqlParameter("@F_ID", SqlDbType.Int,4)
			};
			parameters[0].Value = F_ID;

			CallCenterApi.Model.T_TypeResult model=new CallCenterApi.Model.T_TypeResult();
			DataSet ds=DbHelperSQL.Query(strSql.ToString(),parameters);
			if(ds.Tables[0].Rows.Count>0)
			{
				return DataRowToModel(ds.Tables[0].Rows[0]);
			}
			else
			{
				return null;
			}
		}


		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public CallCenterApi.Model.T_TypeResult DataRowToModel(DataRow row)
		{
			CallCenterApi.Model.T_TypeResult model=new CallCenterApi.Model.T_TypeResult();
			if (row != null)
			{
				if(row["F_ID"]!=null && row["F_ID"].ToString()!="")
				{
					model.F_ID=int.Parse(row["F_ID"].ToString());
				}
				if(row["F_PhoneID"]!=null && row["F_PhoneID"].ToString()!="")
				{
					model.F_PhoneID=int.Parse(row["F_PhoneID"].ToString());
				}
				if(row["F_typeName1"]!=null)
				{
					model.F_typeName1=row["F_typeName1"].ToString();
				}
				if(row["F_typeValue1"]!=null)
				{
					model.F_typeValue1=row["F_typeValue1"].ToString();
				}
				if(row["F_typeName2"]!=null)
				{
					model.F_typeName2=row["F_typeName2"].ToString();
				}
				if(row["F_typeValue2"]!=null)
				{
					model.F_typeValue2=row["F_typeValue2"].ToString();
				}
				if(row["F_typeName3"]!=null)
				{
					model.F_typeName3=row["F_typeName3"].ToString();
				}
				if(row["F_typeValue3"]!=null)
				{
					model.F_typeValue3=row["F_typeValue3"].ToString();
				}
				if(row["F_typeName4"]!=null)
				{
					model.F_typeName4=row["F_typeName4"].ToString();
				}
				if(row["F_typeValue4"]!=null)
				{
					model.F_typeValue4=row["F_typeValue4"].ToString();
				}
				if(row["F_typeName5"]!=null)
				{
					model.F_typeName5=row["F_typeName5"].ToString();
				}
				if(row["F_typeValue5"]!=null)
				{
					model.F_typeValue5=row["F_typeValue5"].ToString();
				}
				if(row["F_typeName6"]!=null)
				{
					model.F_typeName6=row["F_typeName6"].ToString();
				}
				if(row["F_typeValue6"]!=null)
				{
					model.F_typeValue6=row["F_typeValue6"].ToString();
				}
				if(row["F_CreateOn"]!=null && row["F_CreateOn"].ToString()!="")
				{
					model.F_CreateOn=DateTime.Parse(row["F_CreateOn"].ToString());
				}
			}
			return model;
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select F_ID,F_PhoneID,F_typeName1,F_typeValue1,F_typeName2,F_typeValue2,F_typeName3,F_typeValue3,F_typeName4,F_typeValue4,F_typeName5,F_typeValue5,F_typeName6,F_typeValue6,F_CreateOn ");
			strSql.Append(" FROM T_TypeResult ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			return DbHelperSQL.Query(strSql.ToString());
		}

		/// <summary>
		/// 获得前几行数据
		/// </summary>
		public DataSet GetList(int Top,string strWhere,string filedOrder)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select ");
			if(Top>0)
			{
				strSql.Append(" top "+Top.ToString());
			}
			strSql.Append(" F_ID,F_PhoneID,F_typeName1,F_typeValue1,F_typeName2,F_typeValue2,F_typeName3,F_typeValue3,F_typeName4,F_typeValue4,F_typeName5,F_typeValue5,F_typeName6,F_typeValue6,F_CreateOn ");
			strSql.Append(" FROM T_TypeResult ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			strSql.Append(" order by " + filedOrder);
			return DbHelperSQL.Query(strSql.ToString());
		}

		/// <summary>
		/// 获取记录总数
		/// </summary>
		public int GetRecordCount(string strWhere)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select count(1) FROM T_TypeResult ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			object obj = DbHelperSQL.GetSingle(strSql.ToString());
			if (obj == null)
			{
				return 0;
			}
			else
			{
				return Convert.ToInt32(obj);
			}
		}
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("SELECT * FROM ( ");
			strSql.Append(" SELECT ROW_NUMBER() OVER (");
			if (!string.IsNullOrEmpty(orderby.Trim()))
			{
				strSql.Append("order by T." + orderby );
			}
			else
			{
				strSql.Append("order by T.F_ID desc");
			}
			strSql.Append(")AS Row, T.*  from T_TypeResult T ");
			if (!string.IsNullOrEmpty(strWhere.Trim()))
			{
				strSql.Append(" WHERE " + strWhere);
			}
			strSql.Append(" ) TT");
			strSql.AppendFormat(" WHERE TT.Row between {0} and {1}", startIndex, endIndex);
			return DbHelperSQL.Query(strSql.ToString());
		}

		/*
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetList(int PageSize,int PageIndex,string strWhere)
		{
			SqlParameter[] parameters = {
					new SqlParameter("@tblName", SqlDbType.VarChar, 255),
					new SqlParameter("@fldName", SqlDbType.VarChar, 255),
					new SqlParameter("@PageSize", SqlDbType.Int),
					new SqlParameter("@PageIndex", SqlDbType.Int),
					new SqlParameter("@IsReCount", SqlDbType.Bit),
					new SqlParameter("@OrderType", SqlDbType.Bit),
					new SqlParameter("@strWhere", SqlDbType.VarChar,1000),
					};
			parameters[0].Value = "T_TypeResult";
			parameters[1].Value = "F_ID";
			parameters[2].Value = PageSize;
			parameters[3].Value = PageIndex;
			parameters[4].Value = 0;
			parameters[5].Value = 0;
			parameters[6].Value = strWhere;	
			return DbHelperSQL.RunProcedure("UP_GetRecordByPage",parameters,"ds");
		}*/

		#endregion  BasicMethod
		#region  ExtensionMethod

		#endregion  ExtensionMethod
	}
}

